## ugene 1.25.0%2Bdfsg

=== src/corelibs/U2Algorithm/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Algorithm)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core Gui Widgets)

add_definitions(-DBUILDING_U2ALGORITHM_DLL)

include_directories(src)
include_directories(../../include)
include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)
qt5_add_resources(RCC_SRCS U2Algorithm.qrc)

add_library(U2Algorithm SHARED ${HDRS} ${SRCS} ${RCC_SRCS})

target_link_libraries(U2Algorithm
        Qt5::Core Qt5::Gui Qt5::Widgets
        samtools
        U2Core)

=== src/corelibs/U2Gui/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Gui)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)


find_package(Qt5 REQUIRED Core Gui Widgets Xml Network PrintSupport Svg)

add_definitions(-DBUILDING_U2GUI_DLL)

include_directories(src)
include_directories(../../include)
include_directories(../U2Private/src)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

qt5_add_resources(RCC_SRCS U2Gui.qrc)

add_library(U2Gui SHARED ${HDRS} ${SRCS} ${RCC_SRCS})

target_link_libraries(U2Gui
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Network Qt5::PrintSupport Qt5::Svg
        U2Core U2Algorithm U2Formats U2Private)

=== src/libs_3rdparty/sqlite3/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(ugenedb)

include_directories(src)

file(GLOB_RECURSE SRCS src/*.c)
file(GLOB_RECURSE HDRS src/*.h)

add_definitions(
        -DSQLITE_ENABLE_COLUMN_METADATA
        -DSQLITE_ENABLE_RTREE
        -DSQLITE_OMIT_LOAD_EXTENSION
        -DTHREADSAFE
)

add_library(ugenedb SHARED ${HDRS} ${SRCS})

target_link_libraries(ugenedb)

=== src/plugins/chroma_view/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME chroma_view)

include(../../Plugin.cmake)

=== src/plugins/circular_view/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME circular_view)

include(../../Plugin.cmake)

=== src/plugins/dotplot/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dotplot)

include(../../Plugin.cmake)

=== src/plugins/genome_aligner/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME genome_aligner)

include(../../Plugin.cmake)

=== src/plugins/query_designer/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME query_designer)

include(../../Plugin.cmake)

=== src/plugins_3rdparty/umuscle/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME umuscle)

# TODO: this are the real UGENE bugs -> fix them
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wno-conversion-null")

include(../../Plugin.cmake)

## ugene 1.7.1+repack

=== debian/changelog ===
ugene (1.7.1+repack-0ubuntu2) maverick; urgency=low

  * Build depend on libqtwebkit-dev instead of libqt4-webkit-dev since it is
    NBS

 -- Scott Kitterman <scott@kitterman.com>  Fri, 13 Aug 2010 13:05:01 -0400

ugene (1.7.1+repack-0ubuntu1) maverick; urgency=low

  * New upstream release (LP: #606642)
  * Switch to 3.0 (quilt) format
  * Bump standards-version to 3.9.0. No other changes.
  * Add ${misc:Depends} macro to Depends field (W: lintian)
  * Add versioned dependency on debhelper (W: lintian)
  * Casting fix dropped, fixed upstream.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 17 Jul 2010 19:31:43 +0530

ugene (1.7.0+repack-0ubuntu2) maverick; urgency=low

  * Casting fix for arm; double is not same as qreal. (LP: #600820)

 -- David Sugar <david.sugar@canonical.com>  Thu, 01 Jul 2010 17:08:15 +0000

ugene (1.7.0+repack-0ubuntu1) maverick; urgency=low

  * New upstream release.
  * debian/control:
    - Bump standards-version to 3.8.4. No other changes.
    - Add libqt4-webkit-dev to build-depends.
  * Update debian/copyright.

 -- Andreas Wenning <awen@awen.dk>  Mon, 24 May 2010 15:19:27 +0200

ugene (1.5.2+repack-0ubuntu1) lucid; urgency=low

  * New upstream release LP: #486583
  * Bump standards-version to 3.8.3. No other changes.
  * Update debian/copyright as per Ivan's suggestion.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 22 Nov 2009 15:20:16 +0530

ugene (1.5.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream release LP: #405922
  * Bump standards-version to 3.8.2. No other changes.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Tue, 28 Jul 2009 22:55:13 +0530

ugene (1.5.0+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated
  * Versions of needed packages are bumped up
    because of some bugs in older versions
  * Closes LP: #397779

 -- Ivan Efremov <iefremov@unipro.ru>  Tue, 07 Jul 2009 16:39:27 +0700

ugene (1.4.2+repack-0ubuntu1) karmic; urgency=low

  * New upstream release

 -- Morten Kjeldgaard <mok0@ubuntu.com>  Tue, 16 Jun 2009 13:20:00 +0200

ugene (1.4.1+repack-0ubuntu1) karmic; urgency=low

  * New upstream release.
  * Bump-up Standards.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Thu, 30 Apr 2009 08:14:03 +0200

ugene (1.3.3+repack-0ubuntu1) jaunty; urgency=low

  [ Bhavani Shankar ]
  * New Upstream version (LP: #326830)
  * Files unneeded for this package were removed from
    the original tarball.

  [ Morten Kjeldgaard ]
  * Fixed debian/watch to mangle local name
  * Fixed get-orig-source rule to name repackaged tarball correctly.
  * Copyright for two files specified.

 -- Bhavani Shankar <right2bhavi@gmail.com>  Sun, 08 Feb 2009 16:32:24 +0530

ugene (1.3.2+repack-0ubuntu1) jaunty; urgency=low

  * Initial packaging (LP: #319917)
  * Files unneeded for this package were removed from
    the original tarball
    	
 -- Ivan Efremov <iefremov@unipro.ru>  Mon, 26 Jan 2009 19:17:51 +0600

=== debian/control ===
Source: ugene
Section: science
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru> 
Build-Depends: libqt4-dev (>= 4.5.0), libqtwebkit-dev, libqt4-opengl-dev (>= 4.5.0), zlib1g-dev, debhelper (>=5.0.38)
Standards-Version: 3.9.0
Homepage: http://ugene.unipro.ru

Package: ugene
Architecture: any
Depends: ${shlibs:Depends}, libqt4-gui (>=4.5.0), libqt4-core (>=4.5.0), ugene-data, ${misc:Depends}
Description: integrated bioinformatics toolkit
 Unipro UGENE is a cross-platform visual environment for DNA and protein 
 sequence analysis. UGENE integrates the most important bioinformatics 
 computational algorithms and provides an easy-to-use GUI for performing 
 complex analysis of the genomic data. One of the main features of UGENE
 is a designer for custom bioinformatics workflows.

Package: ugene-data
Architecture: all
Depends: ${misc:Depends}
Description: required data for UGENE - integrated bioinformatics toolkit
 Unipro UGENE is a cross-platform visual environment for DNA and protein 
 sequence analysis. 
 .
 This package contains various data and example files for UGENE.

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

UPSTREAM_NAME=ugene
UPSTREAM_VERSION=$(shell uscan --dehs | sed -n 's/.*<upstream-version>\(.*\)<\/upstream-version>.*/\1/p')
UPSTREAM_FOLDER=$(UPSTREAM_NAME)-$(UPSTREAM_VERSION)

get-orig-source:
	uscan --force-download --no-symlink
	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz 
	rm -rf $(UPSTREAM_FOLDER)/bkm 
	rm -rf $(UPSTREAM_FOLDER)/installer/linux 
	rm -rf $(UPSTREAM_FOLDER)/installer/macosx 
	rm -rf $(UPSTREAM_FOLDER)/installer/windows 
	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/zlib
	GZIP="-9" tar -czf ../$(UPSTREAM_NAME)_$(UPSTREAM_VERSION)+repack.orig.tar.gz $(UPSTREAM_FOLDER) 
	rm -rf $(UPSTREAM_FOLDER) 


build: build-arch build-indep

build-arch: build-arch-stamp
build-arch-stamp:
	qmake-qt4 -r
	$(MAKE)	
	touch $@

build-indep: build-indep-stamp
build-indep-stamp:
	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-arch-stamp build-indep-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean

install: install-indep install-arch
install-indep:
	dh_testdir
	dh_testroot
	dh_clean -k -i
	dh_install -i data /usr/share/ugene

install-arch:
	dh_testdir
	dh_testroot
	dh_clean -k -s
	dh_installdirs -s

	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/ugene install
	rm -rf debian/ugene/usr/share/ugene

binary-common:
	dh_testdir
	dh_testroot
	dh_installchangelogs debian/changelog
	dh_installdocs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene && dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-indep: build-indep install-indep
	$(MAKE) -f debian/rules DH_OPTIONS=-i binary-common

binary-arch: build-arch install-arch
	$(MAKE) -f debian/rules DH_OPTIONS=-s binary-common

binary: binary-arch binary-indep
.PHONY: build clean binary-indep binary-arch binary install install-indep install-arch

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://ugene.unipro.ru/download.html \
  downloads/ugene-([\d.]*)\.tar\.gz debian uupdate

## ugene 1.9.1+repack

=== debian/changelog ===
ugene (1.9.1+repack-0ubuntu1) natty; urgency=low

  * New upstream release
  * Copyright information update
  * Bump version of Qt dependecy due to upstream reasons

 -- Ivan Efremov <iefremov@unipro.ru>  Thu, 10 Feb 2011 18:36:18 +0600

ugene (1.7.2+repack-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/rules:
    + Delete bkm directory removal rule from get-orig-source as
      its non-existent now
  * Bump standards-version to 3.9.1. No other changes.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 16 Oct 2010 14:33:07 +0530

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,13 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru> 
-Build-Depends: libqt4-dev (>= 4.5.0), libqtwebkit-dev, libqt4-opengl-dev (>= 4.5.0), zlib1g-dev, debhelper (>=5.0.38)
-Standards-Version: 3.9.0
+Build-Depends: libqt4-dev (>= 4.7.0), libqtwebkit-dev, libqt4-opengl-dev (>= 4.7.0), zlib1g-dev, debhelper (>=5.0.38)
+Standards-Version: 3.9.1
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui (>=4.5.0), libqt4-core (>=4.5.0), ugene-data, ${misc:Depends}
+Depends: ${shlibs:Depends}, libqt4-gui (>=4.7.0), libqt4-core (>=4.7.0), ugene-data, ${misc:Depends}
 Description: integrated bioinformatics toolkit
  Unipro UGENE is a cross-platform visual environment for DNA and protein 
  sequence analysis. UGENE integrates the most important bioinformatics

## ugene 1.9.8+repack

=== debian/changelog ===
ugene (1.9.8+repack-0ubuntu4) quantal; urgency=low

  * Fix build failure with GCC 4.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 02 Oct 2012 16:52:42 +0200

ugene (1.9.8+repack-0ubuntu3) precise; urgency=low

  * Fix brace mismatch in gles-disable-biostruct3d_view.patch.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 19:38:14 +0100

ugene (1.9.8+repack-0ubuntu2) precise; urgency=low

  * Cast floating literals to qreal before passing to qMin/qMax, since qreal
    is a float at least on ARM.
  * Include <GL/glu.h> in a few places (LP: #935476).
  * Disable biostruct3d_view plugin when using GLES.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 20 Apr 2012 15:12:23 +0100

ugene (1.9.8+repack-0ubuntu1) precise; urgency=low

  * New upstream release (LP: #820903).
  * Use system sqlite3 instead of bundled copy.
  * Drop dummy packages from Depends.
  * debian/rules: pass build flags from the environment.
  * Don't install Debian changelog twice.
  * Update watch file.
  * Bump Standards-Version to 3.9.2.

 -- Ilya Barygin <randomaction@ubuntu.com>  Thu, 03 Nov 2011 19:05:28 +0400

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,20 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru> 
-Build-Depends: libqt4-dev (>= 4.7.0), libqtwebkit-dev, libqt4-opengl-dev (>= 4.7.0), zlib1g-dev, debhelper (>=5.0.38)
-Standards-Version: 3.9.1
+Build-Depends: libqt4-dev (>= 4.7.0),
+               libqtwebkit-dev,
+               libqt4-opengl-dev (>= 4.7.0),
+               zlib1g-dev,
+               libsqlite3-dev,
+               debhelper (>= 5.0.38)
+Standards-Version: 3.9.2
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
-Depends: ${shlibs:Depends}, libqt4-gui (>=4.7.0), libqt4-core (>=4.7.0), ugene-data, ${misc:Depends}
+Depends: ${shlibs:Depends}, 
+         ${misc:Depends},
+         ugene-data
 Description: integrated bioinformatics toolkit
  Unipro UGENE is a cross-platform visual environment for DNA and protein 
  sequence analysis. UGENE integrates the most important bioinformatics

=== debian/rules ===
--- 
+++ 
@@ -8,12 +8,12 @@
 
 get-orig-source:
 	uscan --force-download --no-symlink
-	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz 
-	rm -rf $(UPSTREAM_FOLDER)/bkm 
+	tar -xzf ../$(UPSTREAM_NAME)-$(UPSTREAM_VERSION).tar.gz  
 	rm -rf $(UPSTREAM_FOLDER)/installer/linux 
 	rm -rf $(UPSTREAM_FOLDER)/installer/macosx 
 	rm -rf $(UPSTREAM_FOLDER)/installer/windows 
 	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/zlib
+	rm -rf $(UPSTREAM_FOLDER)/src/libs_3rdparty/sqlite3
 	GZIP="-9" tar -czf ../$(UPSTREAM_NAME)_$(UPSTREAM_VERSION)+repack.orig.tar.gz $(UPSTREAM_FOLDER) 
 	rm -rf $(UPSTREAM_FOLDER) 
 
@@ -22,7 +22,7 @@
 
 build-arch: build-arch-stamp
 build-arch-stamp:
-	qmake-qt4 -r
+	qmake-qt4 -r "QMAKE_CXXFLAGS=$(CPPFLAGS) $(CXXFLAGS)" "QMAKE_LFLAGS=$(LDFLAGS)"
 	$(MAKE)	
 	touch $@
 
@@ -41,14 +41,14 @@
 install-indep:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -i
-	dh_install -i data /usr/share/ugene
+	dh_prep -i
+	dh_install -i -Xdata/license data /usr/share/ugene
 
 install-arch:
 	dh_testdir
 	dh_testroot
-	dh_clean -k -s
-	dh_installdirs -s
+	dh_prep -a
+	dh_installdirs -a
 
 	$(MAKE) INSTALL_ROOT=$$(pwd)/debian/ugene install
 	rm -rf debian/ugene/usr/share/ugene
@@ -56,13 +56,13 @@
 binary-common:
 	dh_testdir
 	dh_testroot
-	dh_installchangelogs debian/changelog
+	dh_installchangelogs
 	dh_installdocs
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
-	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene && dh_shlibdeps
+	export LD_LIBRARY_PATH=$$(pwd)/debian/ugene/usr/lib/ugene:$$(pwd)/debian/ugene/usr/lib64/ugene && dh_shlibdeps
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

=== debian/watch ===
version=3
opts=dversionmangle=s/\+repack// \
http://ugene.unipro.ru/downloads/ugene_get_latest_source.html \
  .*/ugene-([\d.]*)\.tar\.gz debian uupdate

## ugene 1.12.3+dfsg

=== debian/changelog ===
ugene (1.12.3+dfsg-1) unstable; urgency=low

  [ Andreas Tille ]
  * New upstream version
    Closes: #693655, #675298
  * debian/control
    - cme fix dpkg-control
    - Build-Depends: libxtst-dev
    - Moved to non-free (and reported the issue upstream as
       https://ugene.unipro.ru/tracker/browse/UGENE-1310
      Closes: #694044
  * debhelper 9 (control+compat)
  * debian/rules: Rewritten to use short dh
  [ Olivier Sallou ]
  * debian/rules, debian/patches: Add hardening flags for compilation

 -- Andreas Tille <tille@debian.org>  Mon, 18 Nov 2013 17:29:54 +0100

ugene (1.9.8+repack-1) experimental; urgency=low

  * First release to Debian
    - added README.Debian
    - increased policy version to 3.9.2
    - added URLs for version control system
  * Added debug package.

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Nov 2011 13:29:07 +0100

ugene (1.9.8+repack-0ubuntu1~oneiric) oneiric; urgency=low

  * Latest release oneiric build

 -- Ivan Novikov <inovikov@unipro.ru>  Thu, 27 Oct 2011 15:33:13 +0700

ugene (1.9.8+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release

 -- Ivan Novikov <inovikov@unipro.ru>  Thu, 27 Oct 2011 12:25:50 +0700

ugene (1.9.5+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Wed, 03 Aug 2011 20:20:50 +0700

ugene (1.9.4+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build
 
 -- Alexey Kuznecov <akuznecov@unipro.ru>  Thu, 14 Jul 2011 21:15:23 +0700

ugene (1.9.4+repack-0ubuntu1~natty) natty; urgency=low

  * New upstream release
  * Copyright information updated

 -- Alexey Kuznecov <akuznecov@unipro.ru>  Thu, 14 Jul 2011 21:07:52 +0700

ugene (1.9.3+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 15 Jun 2011 10:42:00 +0700

ugene (1.9.2+repack-0ubuntu1~maverick) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Tue, 29 Mar 2011 11:25:00 +0700

ugene (1.9.1+repack-0ubuntu3) maverick; urgency=low

  * Latest release maverick build, new build attempt

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Thu, 10 Feb 2011 10:37:17 +0700

ugene (1.9.1+repack-0ubuntu2) maverick; urgency=low

  * Latest release maverick build, new build attempt

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 09 Feb 2011 13:55:17 +0700

ugene (1.9.1+repack-0ubuntu1) maverick; urgency=low

  * Latest release maverick build

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 09 Feb 2011 12:55:17 +0700

ugene (1.7.2+repack-0ubuntu1) lucid; urgency=low

  * Latest release lucid build
  * Merging with changes from official Ubuntu package

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Mon, 23 Aug 2010 16:55:17 +0700

ugene (1.6.2+repack-0ubuntu2) lucid; urgency=low

  * Latest release lucid build
 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Wed, 12 May 2010 12:58:00 +0700

ugene (1.6.2+repack-0ubuntu1~ppa1~karmic1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Konstantin Okonechnikov <k.okonechnikov@gmail.com>  Tue, 7 Apr 2009 00:15:00 +0600

ugene (1.5.2+repack-0ubuntu1) karmic; urgency=low

  * New upstream release
  * Copyright information updated

 -- Ivan Efremov <iefremov@unipro.ru>  Mon, 06 Jul 2009 12:58:00 +0700

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,33 @@
 Source: ugene
-Section: science
+Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Uploaders: Ivan Efremov <iefremov@unipro.ru>,
+           Steffen Moeller <moeller@debian.org>,
+           Andreas Tille <tille@debian.org>,
+           Olivier Sallou <osallou@debian.org>
+Section: non-free/science
+XS-Autobuild: yes
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Ivan Efremov <iefremov@unipro.ru> 
-Build-Depends: libqt4-dev (>= 4.7.0),
+Build-Depends: libqt4-dev,
                libqtwebkit-dev,
-               libqt4-opengl-dev (>= 4.7.0),
+               libqt4-opengl-dev,
                zlib1g-dev,
+               debhelper (>= 9),
+               libxtst-dev,
                libsqlite3-dev,
-               debhelper (>= 5.0.38)
-Standards-Version: 3.9.2
+               libprocps1-dev|libprocps-dev,
+               hardening-includes 
+Standards-Version: 3.9.4
+Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ugene/trunk/
+Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ugene/trunk/
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
-Depends: ${shlibs:Depends}, 
-         ${misc:Depends},
-         ugene-data
+Depends: ${shlibs:Depends},
+         libqt4-gui,
+         libqt4-core,
+         ugene-data,
+         ${misc:Depends}
 Description: integrated bioinformatics toolkit
  Unipro UGENE is a cross-platform visual environment for DNA and protein 
  sequence analysis. UGENE integrates the most important bioinformatics

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export DEB_BUILD_HARDENING=1
export DEB_BUILD_HARDENING_FORTIFY=1

include /usr/share/hardening-includes/hardening.make

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

UPSTREAM_NAME=ugene
pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

#.PHONY: override_dh_strip
#override_dh_strip:
#	dh_strip --dbg-package=ugene-dbg

%:
	dh $@

override_dh_auto_configure:
	# exclude non-free plugins
	qmake-qt4 -r UGENE_WITHOUT_NON_FREE=1
	find . -name Makefile.* | xargs -r sed -i '/STRIP/d'

#override_dh_auto_build:
#	$(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/_debug src/_release ugene

override_dh_auto_install:
	dh_auto_install
	# This should be default:
	# $(MAKE) INSTALL_ROOT=$$(pwd)/debian/$(pkg) install
	# Remove data dir which goes to ugene-data package
	rm -rf debian/$(pkg)/usr/share/$(pkg)

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/$(pkg)/usr/lib/$(pkg) -l$(CURDIR)/debian/$(pkg)/usr/lib64/$(pkg)

# Remark: The following uscan command requires devscripts > 2.12.4 which is not
#         yet released at the time of this package release.  The code can be obtained
#         via
#   git clone git://tille@git.debian.org/git/users/tille/devscripts.git
#         and then use scripts/uscan.pl
get-orig-source:
	mkdir -p ../tarballs
	uscan --verbose --force-download --repack-compression xz --destdir ../tarballs

=== debian/watch ===
version=3
opts=dversionmangle=s/\+(repack|dfsg)// \
http://ugene.unipro.ru/downloads/ugene_get_latest_source.html \
  .*/ugene-([\d.]+)\.tar\.gz

## ugene 1.25.0%2Bdfsg

=== debian/changelog ===
ugene (1.25.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #846557
  * debhelper 10
  * d/watch: version=4

 -- Andreas Tille <tille@debian.org>  Tue, 13 Dec 2016 14:15:10 +0100

ugene (1.24.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Fix building with GCC 6.
    - Force empty QMAKE_CXXFLAGS_ISYSTEM as suggested in
      https://github.com/ugeneunipro/ugene/issues/13.
    Closes: #834252

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 16:22:33 +0000

ugene (1.23.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Upload to allow rebuilding against libprocps6.
    Closes: #831374
  * Rename fixperms target to fix binary-arch-only FTBFS.
    Closes: #831326
  * Bump Standards-Version.
  * Use secure Vcs-Git.
  * Enable full hardening.

 -- Sascha Steinbiss <satta@debian.org>  Wed, 27 Jul 2016 21:57:26 +0000

ugene (1.21.0+dfsg-1) unstable; urgency=medium

  * New upstream version
    Closes: #810360
  * Use xz compression in d/watch

 -- Andreas Tille <tille@debian.org>  Mon, 14 Mar 2016 19:19:42 +0100

ugene (1.20.0+dfsg-1) unstable; urgency=medium

  * New upstream version
  * Build-Depends: libprocps-dev (instead of libprocps4-dev)
    Closes: #810360
  * add repacksuffix to d/watch

 -- Andreas Tille <tille@debian.org>  Fri, 08 Jan 2016 19:35:14 +0100

ugene (1.19.0+dfsg-1) unstable; urgency=medium

  [Andreas Tille]
  * New upstream version
    Closes: #785035, #784534
  * Remove non necessary harcoded dependencies on transitional
    packages (Thanks to Lisandro Damián Nicanor Pérez Meyer for the
    patch)
    Closes: #784382
  * Moved packaging from SVN to Git
  * cme fix dpkg-control
  * override false lintian positives (package-contains-timestamped-gzip)
  * DEP5 fixes

  [Gert Wollny]
  * Update to build with QT5 (thanks to Gianfranco Costamagna for the initial 
    transition and pointing out some quirks)
  * update d/p/use_system_sqlite.patch

 -- Andreas Tille <tille@debian.org>  Sun, 13 Dec 2015 21:05:12 +0100

## ugene 1.25.0+dfsg

=== src/ugenecl/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(ugenecl)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5 REQUIRED Core Gui)

add_definitions(-DHI_EXCLUDED)

include_directories(src)
include_directories(../include)
include_directories(../corelibs/U2Private/src)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

add_executable(ugenecl ${HDRS} ${SRCS})

target_link_libraries(ugenecl
        Qt5::Core Qt5::Gui
        ugenedb breakpad samtools
        U2Core U2Algorithm U2Formats U2Lang U2Gui U2View U2Test)

=== src/ugeneui/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(ugeneui)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

find_package(Qt5 REQUIRED Core Gui Widgets Xml Network Script Svg WebKit WebKitWidgets LinguistTools)

add_definitions(-DHI_EXCLUDED)

include_directories(src)
include_directories(../include)
include_directories(../corelibs/U2Private/src)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)
file(GLOB TS_FILES transl/*.ts)

qt5_add_translation(QM_FILES ${TS_FILES})
qt5_add_resources(RCC_SRCS ugeneui.qrc)

add_executable(ugeneui ${HDRS} ${SRCS} ${QM_FILES} ${RCC_SRCS})

target_link_libraries(ugeneui
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Network Qt5::Script Qt5::WebKit Qt5::WebKitWidgets
        ugenedb breakpad samtools
        U2Core U2Algorithm U2Formats U2Lang U2Gui U2View U2Test)

=== src/corelibs/U2Core/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Core)

set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core Gui Widgets Script Network Xml)

add_definitions(
        -DBUILDING_U2CORE_DLL
        -DUGENE_MIN_VERSION_SQLITE=${UGENE_MIN_VERSION_SQLITE}
        -DUGENE_MIN_VERSION_MYSQL=${UGENE_MIN_VERSION_MYSQL}
)

include_directories(src)
include_directories(../../include)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

add_library(U2Core SHARED ${HDRS} ${SRCS})

target_link_libraries(U2Core
        proc
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network Qt5::Script Qt5::Xml
        ugenedb zlib)

=== src/corelibs/U2Formats/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Formats)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core Gui Widgets Sql)

add_definitions(-DBUILDING_U2FORMATS_DLL)

include_directories(src)
include_directories(../../include)
include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)
qt5_add_resources(RCC_SRCS U2Formats.qrc)

add_library(U2Formats SHARED ${HDRS} ${SRCS} ${RCC_SRCS})

target_link_libraries(U2Formats
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Sql
        samtools ugenedb
        U2Core U2Algorithm)

=== src/corelibs/U2Lang/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Lang)

set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core Xml Script)

add_definitions(-DBUILDING_U2LANG_DLL)

include_directories(src)
include_directories(../../include)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)
qt5_add_resources(RCC_SRCS U2Lang.qrc)

add_library(U2Lang SHARED ${HDRS} ${SRCS} ${RCC_SRCS})

target_link_libraries(U2Lang
        Qt5::Core Qt5::Xml Qt5::Script
        U2Core)

=== src/plugins/CoreTests/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME CoreTests)

set(CMAKE_AUTOMOC_MOC_OPTIONS -nn) # do not display notes.

include(../../Plugin.cmake)

=== src/plugins/api_tests/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME api_tests)

include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

include(../../Plugin.cmake)

=== src/plugins/biostruct3d_view/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME biostruct3d_view)

file(GLOB SRCS src/*.cpp src/*.c src/*.h src/gl2ps/*)

include(../../Plugin.cmake)

=== src/plugins/browser_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME browser_support)

include(../../Plugin.cmake)

=== src/plugins/dna_export/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_export)

include(../../Plugin.cmake)

=== src/plugins/dna_graphpack/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_graphpack)

include(../../Plugin.cmake)

=== src/plugins/dna_stat/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_stat)

include(../../Plugin.cmake)

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,27 @@
 Section: non-free/science
 XS-Autobuild: yes
 Priority: optional
-Build-Depends: libqt4-dev,
-               libqtwebkit-dev,
-               libqt4-opengl-dev,
+Build-Depends: qtbase5-dev,
+               libqt5webkit5-dev,
+               libqt5opengl5-dev,
+               libqt5svg5-dev, 
+               qtscript5-dev,
+               qt5-qmake,
+               qtchooser,
                zlib1g-dev,
-               debhelper (>= 9),
+               debhelper (>= 10),
                libxtst-dev,
                libsqlite3-dev,
-               libprocps1-dev|libprocps-dev,
-               hardening-includes 
-Standards-Version: 3.9.4
-Vcs-Browser: http://anonscm.debian.org/viewvc/debian-med/trunk/packages/ugene/trunk/
-Vcs-Svn: svn://anonscm.debian.org/debian-med/trunk/packages/ugene/trunk/
+               libprocps-dev
+Build-Conflicts: libqt4-dev, qt4-qmake
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ugene.git
+Vcs-Git: https://anonscm.debian.org/git/debian-med/ugene.git
 Homepage: http://ugene.unipro.ru
 
 Package: ugene
 Architecture: any
 Depends: ${shlibs:Depends},
-         libqt4-gui,
-         libqt4-core,
          ugene-data,
          ${misc:Depends}
 Description: integrated bioinformatics toolkit

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

CPPFLAGS=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS=$(shell dpkg-buildflags --get CFLAGS) $(CPPFLAGS)
CXXFLAGS=$(shell dpkg-buildflags --get CXXFLAGS) $(CPPFLAGS)
LDFLAGS=$(shell dpkg-buildflags --get LDFLAGS)

export QT_SELECT=qt5

UPSTREAM_NAME=ugene
pkg := $(shell dpkg-parsechangelog | sed -n 's/^Source: //p')

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

#.PHONY: override_dh_strip
#override_dh_strip:
#	dh_strip --dbg-package=ugene-dbg

%:
	dh $@

override_dh_auto_configure:
	# exclude non-free plugins
	dh_auto_configure -- QMAKE_CFLAGS_ISYSTEM= QMAKE_CXXFLAGS_ISYSTEM= UGENE_WITHOUT_NON_FREE=1 UGENE_LRELEASE=lrelease-qt5 UGENE_LUPDATE=lupdate-qt5

	find . -name Makefile.* | xargs -r sed -i '/STRIP/d'

#override_dh_auto_build:
#	$(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/_debug src/_release ugene

override_dh_auto_install:
	dh_auto_install
	# This should be default:
	# $(MAKE) INSTALL_ROOT=$$(pwd)/debian/$(pkg) install
	# Remove data dir which goes to ugene-data package
	rm -rf debian/$(pkg)/usr/share/$(pkg)

override_dh_fixperms-indep:
	dh_fixperms
	rmdir debian/ugene-data/usr/share/ugene/data/manuals/ || true # remove dir if empty
	chmod -x debian/ugene-data/usr/share/ugene/data/genome_lengths/*.genome
	rm -f debian/ugene-data/usr/share/ugene/data/license

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/$(pkg)/usr/lib/$(pkg)/

=== debian/watch ===
version=4
opts="repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg)//,repack,compression=xz" \
http://ugene.unipro.ru/downloads/ugene_get_latest_source.html \
  .*/ugene-([\d.]+)\.tar\.gz

## ugene 1.31.1+dfsg

=== src/corelibs/U2Private/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Private)

set(CMAKE_AUTOMOC ON)

if (APPLE)
    find_package(Qt5 REQUIRED Core Gui Widgets Xml)
else()
    find_package(Qt5 REQUIRED Core Gui Widgets)
endif()

add_definitions(-DBUILDING_U2PRIVATE_DLL)

include_directories(src)
include_directories(../../include)
include_directories(../../libs_3rdparty/breakpad/src)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

file(GLOB_RECURSE WIN_IGNORE_FILES src/*Mac.* src/*UnixNotMac.*)
file(GLOB_RECURSE MAC_IGNORE_FILES src/*Win.* src/*UnixNotMac.*)
file(GLOB_RECURSE LINUX_IGNORE_FILES src/*[er]Mac.* src/*Win.*)

if (WIN32)
    list(REMOVE_ITEM SRCS ${WIN_IGNORE_FILES})
    list(REMOVE_ITEM HDRS ${WIN_IGNORE_FILES})
elseif (APPLE)
    list(REMOVE_ITEM SRCS ${MAC_IGNORE_FILES})
    list(REMOVE_ITEM HDRS ${MAC_IGNORE_FILES})
elseif (UNIX)
    list(REMOVE_ITEM SRCS ${LINUX_IGNORE_FILES})
    list(REMOVE_ITEM HDRS ${LINUX_IGNORE_FILES})
endif ()

add_library(U2Private SHARED ${HDRS} ${SRCS})

target_link_libraries(U2Private
        Qt5::Core Qt5::Gui Qt5::Widgets
        breakpad
        U2Core U2Algorithm U2Formats)

if (APPLE)
    target_link_libraries(U2Private  Qt5::Xml "-framework CoreFoundation -framework IOKit")
endif()

=== src/libs_3rdparty/breakpad/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(breakpad)

include_directories(src)


file(GLOB COMMON_SRCS src/client/*.cc src/common/*.cc src/common/*.c)
file(GLOB COMMON_HDRS src/client/*.h src/common/*.h)

if (WIN32)
    file(GLOB_RECURSE SRCS src/client/windows/*.cc src/common/windows/*.cc)
    file(GLOB_RECURSE HDRS src/client/windows/*.h src/common/windows/*.h)
elseif (APPLE)
    file(GLOB_RECURSE SRCS src/client/mac/*.cc src/common/mac/*.cc src/common/mac/*.mm)
    file(GLOB_RECURSE HDRS src/client/mac/*.h src/common/mac/*.h)
elseif (UNIX)
    file(GLOB_RECURSE SRCS src/client/linux/*.cc src/common/linux/*.cc)
    file(GLOB_RECURSE HDRS src/client/linux/*.h src/common/linux/*.h)
endif ()

add_library(breakpad SHARED ${COMMON_HDRS} ${HDRS} ${COMMON_SRCS} ${SRCS})

target_link_libraries(breakpad)

if (APPLE)
    target_link_libraries(breakpad "-framework CoreFoundation")
    target_link_libraries(breakpad "-framework Security")
endif ()

=== src/libs_3rdparty/samtools/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(samtools)

set(CMAKE_AUTOMOC ON)

find_package(Qt5 REQUIRED Core LinguistTools)

include_directories(src)
include_directories(src/samtools)
include_directories(../../include)

add_definitions(
        -D_FILE_OFFSET_BITS=64
        -D_LARGEFILE64_SOURCE
        -D_USE_KNETFILE
)

file(GLOB_RECURSE SRCS src/*.cpp src/*.c)
file(GLOB_RECURSE HDRS src/*.h)
file(GLOB TS_FILES transl/*.ts)

qt5_add_translation(QM_FILES ${TS_FILES})

# Supress original samtools warnings
if (CMAKE_COMPILER_IS_GNUCC)
    set(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -w")
endif (CMAKE_COMPILER_IS_GNUCC)

add_library(samtools STATIC ${HDRS} ${SRCS} ${QM_FILES})

target_link_libraries(samtools
        Qt5::Core
        zlib)

=== src/plugins/wevote_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME wevote_support)

include(../../Plugin.cmake)

=== src/plugins_3rdparty/ptools/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME ptools)

include(../../Plugin.cmake)

=== debian/changelog ===
ugene (1.31.1+dfsg-1) unstable; urgency=medium

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - Added references to registries
    - yamllint cleanliness

  [ Andreas Tille ]
  * New upstream version
    Closes: #868885, #887305
  * Standards-Version: 4.3.0
  * Cleanup d/watch
  * More Files-Excluded
  * debhelper 12
  * Point Vcs fields to salsa.debian.org
  * Drop unused lintian-overrides

 -- Andreas Tille <tille@debian.org>  Thu, 31 Jan 2019 21:26:13 +0100

=== debian/control ===
--- 
+++ 
@@ -10,19 +10,21 @@
 Build-Depends: qtbase5-dev,
                libqt5webkit5-dev,
                libqt5opengl5-dev,
-               libqt5svg5-dev, 
+               libqt5svg5-dev,
                qtscript5-dev,
                qt5-qmake,
                qtchooser,
+               qttools5-dev,
                zlib1g-dev,
-               debhelper (>= 10),
+               debhelper (>= 12~),
                libxtst-dev,
                libsqlite3-dev,
                libprocps-dev
-Build-Conflicts: libqt4-dev, qt4-qmake
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ugene.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ugene.git
+Build-Conflicts: libqt4-dev,
+                 qt4-qmake
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/ugene
+Vcs-Git: https://salsa.debian.org/med-team/ugene.git
 Homepage: http://ugene.unipro.ru
 
 Package: ugene

=== debian/rules ===
#!/usr/bin/make -f

export DH_OPTIONS

export QT_SELECT=qt5

include /usr/share/dpkg/default.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=qmake

override_dh_auto_configure:
	# exclude non-free plugins
	dh_auto_configure -- QMAKE_CFLAGS_ISYSTEM= QMAKE_CXXFLAGS_ISYSTEM= UGENE_WITHOUT_NON_FREE=1 UGENE_LRELEASE=lrelease-qt5 UGENE_LUPDATE=lupdate-qt5

	find . -name Makefile.* | xargs -r sed -i '/STRIP/d'

#override_dh_auto_build:
#	$(MAKE)

override_dh_auto_clean:
	dh_auto_clean
	rm -rf src/_debug src/_release ugene

override_dh_auto_install:
	dh_auto_install
	# This should be default:
	# $(MAKE) INSTALL_ROOT=$$(pwd)/debian/$(DEB_SOURCE) install
	# Remove data dir which goes to ugene-data package
	rm -rf debian/$(DEB_SOURCE)/usr/share/$(DEB_SOURCE)

override_dh_fixperms-indep:
	dh_fixperms
	rmdir debian/ugene-data/usr/share/ugene/data/manuals/ || true # remove dir if empty
	chmod -x debian/ugene-data/usr/share/ugene/data/genome_lengths/*.genome
	rm -f debian/ugene-data/usr/share/ugene/data/license

override_dh_shlibdeps:
	dh_shlibdeps -l$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/:/build/ugene-1.31.1+dfsg/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/plugins/

override_dh_dwz:
	echo "Do not run dh_dwz since it just results in:"
	echo "    dwz: debian/ugene/usr/lib/ugene/libU2View.so.1.0.0: Couldn't find DIE referenced by DW_OP_GNU_parameter_ref"
	echo "    dwz: debian/ugene/usr/lib/ugene/plugins/libexternal_tool_support.so.1.0.0: Couldn't find DIE referenced by DW_OP_GNU_parameter_ref"
	echo "    dh_dwz: dwz -q -mdebian/ugene/usr/lib/debug/.dwz/x86_64-linux-gnu/ugene.debug -M/usr/lib/debug/.dwz/x86_64-linux-gnu/ugene.debug ..."

=== debian/watch ===
version=4

opts="repacksuffix=+dfsg,dversionmangle=s/\+(repack|dfsg)//,repack,compression=xz" \
   https://github.com/ugeneunipro/ugene/releases .*/archive/v?@ANY_VERSION@@ARCHIVE_EXT@

## ugene 1.31.1.1%2Bdfsg%2Brb2

=== CMakeLists.txt ===
# CMake build is not officially supported by UGENE and
# can only be used for developement (for example to enable CLion IDE integration)
#
# For CLion developers:
#   * add Qt5_DIR variable to File->Settings->Build,Execution,Deployment->CMake pointing to valid QT dir.
#   * add UGENE_TRANSLATION_FILE environment variable to the RUN configuration and point it to *.qm file produced by qmake build

cmake_minimum_required(VERSION 3.9)
project(ugene)

#set(CMAKE_VERBOSE_MAKEFILE ON)

set(UGENE_VERSION 1.29.0-dev)
set(UGENE_VER_MAJOR 1)
set(UGENE_VER_MINOR 29)
set(UGENE_VER_PATCH 0)

set(UGENE_MIN_VERSION_SQLITE 1.25.0)
set(UGENE_MIN_VERSION_MYSQL 1.25.0)

add_definitions(
        -DUGENE_VERSION=${UGENE_VERSION}
        -DUGENE_VER_MAJOR=${UGENE_VER_MAJOR}
        -DUGENE_VER_MINOR=${UGENE_VER_MINOR}
        -DUGENE_VER_PATCH=${UGENE_VER_PATCH}

        -DUGENE_USE_BUNDLED_ZLIB

        -DQT_FATAL_ASSERT
)

set(CMAKE_CXX_FLAGS_DEBUG "${CMAKE_CXX_FLAGS_DEBUG} -D_DEBUG")
set(CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -D_DEBUG")

# 3rd party libs
add_subdirectory(src/libs_3rdparty/breakpad)
add_subdirectory(src/libs_3rdparty/samtools)
add_subdirectory(src/libs_3rdparty/sqlite3)
add_subdirectory(src/libs_3rdparty/zlib)

# Core libs
add_subdirectory(src/corelibs/U2Core)
add_subdirectory(src/corelibs/U2Algorithm)
add_subdirectory(src/corelibs/U2Formats)
add_subdirectory(src/corelibs/U2Lang)
add_subdirectory(src/corelibs/U2Private)
add_subdirectory(src/corelibs/U2Gui)
add_subdirectory(src/corelibs/U2Test)
add_subdirectory(src/corelibs/U2Designer)
add_subdirectory(src/corelibs/U2View)

# launchers
add_subdirectory(src/ugeneui)
add_subdirectory(src/ugenecl)

# local plugins
add_subdirectory(src/plugins/annotator)
add_subdirectory(src/plugins/api_tests)
add_subdirectory(src/plugins/biostruct3d_view)
add_subdirectory(src/plugins/browser_support)
add_subdirectory(src/plugins/chroma_view)
add_subdirectory(src/plugins/circular_view)
add_subdirectory(src/plugins/CoreTests)
add_subdirectory(src/plugins/dbi_bam)
add_subdirectory(src/plugins/dna_export)
add_subdirectory(src/plugins/dna_flexibility)
add_subdirectory(src/plugins/dna_graphpack)
add_subdirectory(src/plugins/dna_stat)
add_subdirectory(src/plugins/dotplot)
add_subdirectory(src/plugins/enzymes)
add_subdirectory(src/plugins/external_tool_support)
add_subdirectory(src/plugins/genome_aligner)
# never tried: add_subdirectory(src/plugins/GUITestBase)
add_subdirectory(src/plugins/linkdata_support)
add_subdirectory(src/plugins/orf_marker)
add_subdirectory(src/plugins/pcr)
add_subdirectory(src/plugins/perf_monitor)
add_subdirectory(src/plugins/query_designer)
add_subdirectory(src/plugins/remote_blast)
add_subdirectory(src/plugins/repeat_finder)
add_subdirectory(src/plugins/smith_waterman)
add_subdirectory(src/plugins/test_runner)
add_subdirectory(src/plugins/weight_matrix)
add_subdirectory(src/plugins/workflow_designer)

# 3rd party plugins
add_subdirectory(src/plugins_3rdparty/ball)
add_subdirectory(src/plugins_3rdparty/gor4)
add_subdirectory(src/plugins_3rdparty/hmm2)
add_subdirectory(src/plugins_3rdparty/kalign)
add_subdirectory(src/plugins_3rdparty/phylip)
add_subdirectory(src/plugins_3rdparty/primer3)
add_subdirectory(src/plugins_3rdparty/psipred)
add_subdirectory(src/plugins_3rdparty/ptools)
add_subdirectory(src/plugins_3rdparty/sitecon)
add_subdirectory(src/plugins_3rdparty/umuscle)
add_subdirectory(src/plugins_3rdparty/variants)

=== src/corelibs/U2Test/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Test)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)


find_package(Qt5 REQUIRED Core Gui Widgets Xml)

add_definitions(-DBUILDING_U2TEST_DLL)

include_directories(src)
include_directories(../../include)

file(GLOB SRCS src/*.cpp src/xmltest/*.cpp)
file(GLOB HDRS src/*.h src/xmltest/*.h)

add_library(U2Test SHARED ${HDRS} ${SRCS})

target_link_libraries(U2Test
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml
        U2Core)

=== src/corelibs/U2View/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2View)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)


find_package(Qt5 REQUIRED Core Gui Widgets Xml Svg WebKit WebKitWidgets PrintSupport)

add_definitions(-DBUILDING_U2VIEW_DLL)

include_directories(src)
include_directories(../../include)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

add_library(U2View SHARED ${HDRS} ${SRCS})

target_link_libraries(U2View
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Svg Qt5::WebKit Qt5::WebKitWidgets Qt5::PrintSupport
        U2Core U2Algorithm U2Formats U2Lang U2Gui)

=== src/plugins/annotator/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME annotator)

include(../../Plugin.cmake)

=== src/plugins/ngs_reads_classification/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME ngs_reads_classification)

include(../../Plugin.cmake)

=== src/plugins/repeat_finder/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME repeat_finder)

include(../../Plugin.cmake)

## ugene 1.31.1.1+dfsg+rb2

=== src/corelibs/U2Core/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,5 @@
 add_library(U2Core SHARED ${HDRS} ${SRCS})
 
 target_link_libraries(U2Core
-        proc
         Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Network Qt5::Script Qt5::Xml
         ugenedb zlib)

=== src/corelibs/U2Designer/CMakeLists.txt ===
cmake_minimum_required(VERSION 3.4)
project(U2Designer)

set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOMOC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)


find_package(Qt5 REQUIRED Core Gui Widgets Xml Svg Script WebKit WebKitWidgets)

add_definitions(-DBUILDING_U2DESIGNER_DLL)

include_directories(src)
include_directories(../../include)

file(GLOB_RECURSE SRCS src/*.cpp)
file(GLOB_RECURSE HDRS src/*.h)

qt5_add_resources(RCC_SRCS U2Designer.qrc)

add_library(U2Designer SHARED ${HDRS} ${SRCS} ${RCC_SRCS})

target_link_libraries(U2Designer
        Qt5::Core Qt5::Gui Qt5::Widgets Qt5::Xml Qt5::Svg Qt5::Script Qt5::WebKit Qt5::WebKitWidgets
        U2Core U2Algorithm U2Gui)

=== src/plugins/clark_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME clark_support)

include(../../Plugin.cmake)

=== src/plugins/dbi_bam/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dbi_bam)

include_directories(../../libs_3rdparty/samtools/src)
include_directories(../../libs_3rdparty/samtools/src/samtools)

include(../../Plugin.cmake)

=== src/plugins/diamond_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME diamond_support)

include(../../Plugin.cmake)

=== src/plugins/dna_flexibility/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME dna_flexibility)

include(../../Plugin.cmake)

=== src/plugins/enzymes/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME enzymes)

include(../../Plugin.cmake)

=== src/plugins/kraken_support/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME kraken_support)

include(../../Plugin.cmake)

=== src/plugins/smith_waterman/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME smith_waterman)

add_definitions(-DSW2_BUILD_WITH_SSE2)

include(../../Plugin.cmake)

=== src/plugins/workflow_designer/CMakeLists.txt ===
set(UGENE_PLUGIN_NAME workflow_designer)

include(../../Plugin.cmake)

=== debian/changelog ===
ugene (1.31.1.1+dfsg+rb2-1+eagle) unstable; urgency=medium

  * update

 -- Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>  Mon, 01 Feb 2021 16:29:48 +0800

=== debian/rules ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	rm -f debian/ugene-data/usr/share/ugene/data/license
 
 override_dh_shlibdeps:
-	dh_shlibdeps -l$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/:/build/ugene-1.31.1+dfsg/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/plugins/
+	dh_shlibdeps -l$(CURDIR)/debian/tmp/usr/lib/ugene/plugins/:$(CURDIR)/debian/tmp/usr/lib/ugene:$(CURDIR)/debian/$(DEB_SOURCE)/usr/lib/$(DEB_SOURCE)/
 
 override_dh_dwz:
 	echo "Do not run dh_dwz since it just results in:"
